tesma Platform API
Downloads multiple documents in a zip file.
get
https://api.tesma.com/v1/documents/downloads
Query Parameters
loadOptionsobject
The load options
* Additional properties are NOT allowed.
Show Child Parameters
Headers
CorporateGroup-Namestring
Corporate group key that assigns the currently selected corporate group to the request.
Response
application/json
Response
application/json
OK
string(binary)
get/v1/documents/downloads
Authentication
Query Parameters
Headers
application/json
Deletes the document with the given document id.
delete
https://api.tesma.com/v1/documents/{documentId}
Path Parameters
documentIdstringrequired
The document id.
Headers
CorporateGroup-Namestring
Corporate group key that assigns the currently selected corporate group to the request.
Response
Response
OK
delete/v1/documents/{documentId}
Authentication
Path Parameters
Headers
Downloads the document by given document id.
get
https://api.tesma.com/v1/documents/{documentId}/download
Path Parameters
documentIdstringrequired
The document id.
Headers
CorporateGroup-Namestring
Corporate group key that assigns the currently selected corporate group to the request.
Response
application/json
Response
application/json
OK
string(binary)
get/v1/documents/{documentId}/download
Authentication
Path Parameters
Headers
application/json
AcceptanceCertificateAssets
Gets all lease assets for the given acceptance certificate.
get
https://api.tesma.com/v1/leases/acceptanceCertificates/{leaseCompanyNumber}/{acceptanceCertificateId}/assets
Query Parameters
loadOptionsobject
The load options.
* Additional properties are NOT allowed.
Show Child Parameters
Path Parameters
leaseCompanyNumberinteger(int32)required
The lease company number.
>= 1
acceptanceCertificateIdinteger(int32)required
The acceptance certificate identifier.
>= 1
Headers
CorporateGroup-Namestring
Corporate group key that assigns the currently selected corporate group to the request.
Response
application/json
Response
application/json
OK
TesmaLoadResult_LeaseScheduleAssetConfirmationResponse
* Additional properties are NOT allowed.
datanull | array[object]
* Additional properties are NOT allowed.
Show Child Parameters
groupCountinteger(int32)
Default:-1
summarynull | array
totalCountinteger(int32)
Default:-1
get/v1/leases/acceptanceCertificates/{leaseCompanyNumber}/{acceptanceCertificateId}/assets
Authentication
Path Parameters
Query Parameters
Headers
application/json